/*
 * Copyright (C) 2002 Robert Ernst <robert.ernst@linux-solutions.at>
 *
 * This file may be distributed and/or modified under the terms of the
 * GNU General Public License version 2 as published by the Free Software
 * Foundation and appearing in the file LICENSE.GPL included in the
 * packaging of this file.
 *
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 * See COPYING for GPL licensing information.
 *
 */
#include "PlayTile.h"

PlayTile::PlayTile(int id,int state)
{
    m_id = id;
    m_state = state;
}

void PlayTile::setPosition(int posx, int posy, int width, int hegiht)
{
  m_posx = posx;
  m_posy = posy;
  m_width = width;
  m_hegiht = hegiht;
}
void PlayTile::setState(int state)
{
    m_state = state;
}

void PlayTile::setId(int id)
{
    m_id = id;
}

int PlayTile::state(void)
{
    return m_state;
}

int PlayTile::id(void)
{
    return m_id;
}
int PlayTile::getPosX()
{
  return m_posx;
}
int PlayTile::getPosY()
{
  return m_posy;
}
bool PlayTile::isClick(int x, int y)
{
  if( ( x >= m_posx) && ( x <= m_posx + m_width ) 
      && ( y >= m_posy ) && ( y <= m_posy + m_hegiht) ){
    return true;
  }

  return false;
}
